import shellscript from './shellscript.mjs';

const lang = Object.freeze({
  "aliases": [
    "console"
  ],
  "displayName": "Shell Session",
  "name": "shellsession",
  "scopeName": "text.shell-session",
  "fileTypes": [
    "sh-session"
  ],
  "patterns": [
    {
      "captures": {
        "1": {
          "name": "entity.other.prompt-prefix.shell-session"
        },
        "2": {
          "name": "punctuation.separator.prompt.shell-session"
        },
        "3": {
          "name": "source.shell",
          "patterns": [
            {
              "include": "source.shell"
            }
          ]
        }
      },
      "match": "(?x) ^ (?: ( (?:\\(\\S+\\)\\s*)? (?: sh\\S*?                       | \\w+\\S+[@:]\\S+(?:\\s+\\S+)? | \\[\\S+?[@:][^\\n]+?\\].*? ) ) \\s* )? ( [>$#%\u276F\u279C] | \\p{Greek} ) \\s+ (.*) $"
    },
    {
      "match": "^.+$",
      "name": "meta.output.shell-session"
    }
  ],
  "embeddedLangs": [
    "shellscript"
  ]
});
var shellsession = [
  ...shellscript,
  lang
];

export { shellsession as default };
