import { ThemeRegistrationRaw } from 'shikiji-core';

/**
 * Generated by scripts/prepare.ts
 */

type DynamicThemeReg = () => Promise<{
    default: ThemeRegistrationRaw;
}>;
interface BundledThemeInfo {
    id: string;
    displayName: string;
    type: 'light' | 'dark';
    import: DynamicThemeReg;
}
declare const bundledThemesInfo: BundledThemeInfo[];
type BuiltinTheme = 'dark-plus' | 'dracula' | 'dracula-soft' | 'github-dark' | 'github-dark-dimmed' | 'github-light' | 'light-plus' | 'material-theme' | 'material-theme-darker' | 'material-theme-lighter' | 'material-theme-ocean' | 'material-theme-palenight' | 'min-dark' | 'min-light' | 'monokai' | 'nord' | 'one-dark-pro' | 'poimandres' | 'rose-pine' | 'rose-pine-dawn' | 'rose-pine-moon' | 'slack-dark' | 'slack-ochin' | 'solarized-dark' | 'solarized-light' | 'vitesse-black' | 'vitesse-dark' | 'vitesse-light';
declare const bundledThemes: Record<BuiltinTheme, DynamicThemeReg>;

export { type BuiltinTheme, type BundledThemeInfo, bundledThemes, bundledThemesInfo };
